#include "chdecl.h"
void CH_codegen_cginit(current, sched, cop)
#define ARGUMENTS 7
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb2;
    case 2: goto c3;
    case 3: goto cb7;
    case 4: goto c8;
    case 5: goto cb27;
    case 6: goto c28;
    case 7: goto cb32;
    case 8: goto c33;
    case 9: goto cb37;
    case 10: goto c38;
    case 11: goto cb74;
    case 12: goto c75;
    case 13: goto cb79;
    case 14: goto c80;
    case 15: goto cb129;
    case 17: goto c131;
    case 16: goto c137;
    case 18: goto c137;
    case 19: goto c138;
    case 20: goto c140;
    case 21: goto c143;
    case 22: goto c145;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb2:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c3:
/* new_inport 4 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).value = ch_val; REF(4).tsdr = & dr_inport;
/* connect 3.2 4 */
  if (REF(4).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(2).tsdr)->finalize)(REF(3)DOT(2).value,F_DISCARD,sched);
  REF(4).value.inport->refcount++;
  REF(3)DOT(2).value.outport = REF(4).value.inport;
  REF(3)DOT(2).tsdr = & dr_outport;
/* new_record 3.3.2 , 1 */
  if ((ch_val.record = new_record(1)) == nil) goto ch_depletion;
  (*(REF(3)DOT(3)DOT(2).tsdr)->finalize)(REF(3)DOT(3)DOT(2).value
    ,F_DISCARD,sched);
  REF(3)DOT(3)DOT(2).value = ch_val; REF(3)DOT(3)DOT(2).tsdr = & dr_record;
/* chs_lit 5 , "opmap.obj" */
  if( !chs_lit(DEF(5),"opmap.obj") ) goto ch_depletion;
  current->ip = 3;
cb7:
/* call 3.1 5 6 , 2 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1),
          arguments[1] = DEF(5),
          arguments[2] = DEF(6),
          arguments[2+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  return;
c8:
/* noop */
  
/* unwrap 3.3.2.0 6 , 3 */
  if ((ch_returncode = che_unwrap(DEF(3)DOT(3)DOT(2)DOT(0),DEF(6),QUAL(3)
    ,sched)) != Normal) goto ch_raise_exception;
/* new_record 3.3.3 , 17 */
  if ((ch_val.record = new_record(17)) == nil) goto ch_depletion;
  (*(REF(3)DOT(3)DOT(3).tsdr)->finalize)(REF(3)DOT(3)DOT(3).value
    ,F_DISCARD,sched);
  REF(3)DOT(3)DOT(3).value = ch_val; REF(3)DOT(3)DOT(3).tsdr = & dr_record;
/* copy 3.3.3.6 3.0 */
  if((ch_returncode = (REF(3)DOT(0).tsdr->copy)(& ch_val, REF(3)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(3)DOT(3)DOT(3)DOT(6).tsdr)->finalize)(REF(3)DOT(3)DOT(3)DOT(6).value
    ,F_DISCARD,sched);
  REF(3)DOT(3)DOT(3)DOT(6).value = ch_val;
  REF(3)DOT(3)DOT(3)DOT(6).tsdr = datarepmap[REF(3)DOT(0).tsdr->number];
/* prog_lit 7 , 4 */
  if ((ch_returncode = che_prog_lit(DEF(7),QUAL(4),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 8 7 , 5 */
  if ((ch_returncode = che_procedure(DEF(8),DEF(7),QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
/* discard 7 */
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).tsdr = & dr_bottom;
/* move 3.3.3.0 8 */
  (*(REF(3)DOT(3)DOT(3)DOT(0).tsdr)->finalize)(REF(3)DOT(3)DOT(3)DOT(0).value
    ,F_DISCARD,sched);
  REF(3)DOT(3)DOT(3)DOT(0) = REF(8);
  REF(8).tsdr = & dr_bottom;
/* prog_lit 9 , 6 */
  if ((ch_returncode = che_prog_lit(DEF(9),QUAL(6),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 10 9 , 7 */
  if ((ch_returncode = che_procedure(DEF(10),DEF(9),QUAL(7),sched)) != Normal)
     goto ch_raise_exception;
/* discard 9 */
  (*(REF(9).tsdr)->finalize)(REF(9).value,F_DISCARD,sched);
  REF(9).tsdr = & dr_bottom;
/* move 3.3.3.1 10 */
  (*(REF(3)DOT(3)DOT(3)DOT(1).tsdr)->finalize)(REF(3)DOT(3)DOT(3)DOT(1).value
    ,F_DISCARD,sched);
  REF(3)DOT(3)DOT(3)DOT(1) = REF(10);
  REF(10).tsdr = & dr_bottom;
/* prog_lit 11 , 8 */
  if ((ch_returncode = che_prog_lit(DEF(11),QUAL(8),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 12 11 , 9 */
  if ((ch_returncode = che_procedure(DEF(12),DEF(11),QUAL(9)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 11 */
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).tsdr = & dr_bottom;
/* move 3.3.3.2 12 */
  (*(REF(3)DOT(3)DOT(3)DOT(2).tsdr)->finalize)(REF(3)DOT(3)DOT(3)DOT(2).value
    ,F_DISCARD,sched);
  REF(3)DOT(3)DOT(3)DOT(2) = REF(12);
  REF(12).tsdr = & dr_bottom;
/* prog_lit 13 , 10 */
  if ((ch_returncode = che_prog_lit(DEF(13),QUAL(10),sched)) != Normal) 
     goto ch_raise_exception;
/* create 14 13 , 11 */
  if ((ch_returncode = che_create(DEF(14),DEF(13),QUAL(11),sched)) != Normal)
     goto ch_raise_exception;
/* discard 13 */
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  REF(13).tsdr = & dr_bottom;
  current->ip = 5;
cb27:
/* call 14 3.3.3.3 15 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(14),
          arguments[1] = DEF(3)DOT(3)DOT(3)DOT(3),
          arguments[2] = DEF(15),
          arguments[2+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c28:
/* noop */
  
/* prog_lit 16 , 13 */
  if ((ch_returncode = che_prog_lit(DEF(16),QUAL(13),sched)) != Normal) 
     goto ch_raise_exception;
/* create 17 16 , 11 */
  if ((ch_returncode = che_create(DEF(17),DEF(16),QUAL(11),sched)) != Normal)
     goto ch_raise_exception;
/* discard 16 */
  (*(REF(16).tsdr)->finalize)(REF(16).value,F_DISCARD,sched);
  REF(16).tsdr = & dr_bottom;
  current->ip = 7;
cb32:
/* call 17 3.3.3.4 18 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(17),
          arguments[1] = DEF(3)DOT(3)DOT(3)DOT(4),
          arguments[2] = DEF(18),
          arguments[2+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c33:
/* noop */
  
/* prog_lit 19 , 14 */
  if ((ch_returncode = che_prog_lit(DEF(19),QUAL(14),sched)) != Normal) 
     goto ch_raise_exception;
/* create 20 19 , 11 */
  if ((ch_returncode = che_create(DEF(20),DEF(19),QUAL(11),sched)) != Normal)
     goto ch_raise_exception;
/* discard 19 */
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  REF(19).tsdr = & dr_bottom;
  current->ip = 9;
cb37:
/* call 20 3.3.3.5 21 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(20),
          arguments[1] = DEF(3)DOT(3)DOT(3)DOT(5),
          arguments[2] = DEF(21),
          arguments[2+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c38:
/* noop */
  
/* prog_lit 22 , 15 */
  if ((ch_returncode = che_prog_lit(DEF(22),QUAL(15),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 23 22 , 16 */
  if ((ch_returncode = che_procedure(DEF(23),DEF(22),QUAL(16)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 22 */
  (*(REF(22).tsdr)->finalize)(REF(22).value,F_DISCARD,sched);
  REF(22).tsdr = & dr_bottom;
/* move 3.3.3.7 23 */
  (*(REF(3)DOT(3)DOT(3)DOT(7).tsdr)->finalize)(REF(3)DOT(3)DOT(3)DOT(7).value
    ,F_DISCARD,sched);
  REF(3)DOT(3)DOT(3)DOT(7) = REF(23);
  REF(23).tsdr = & dr_bottom;
/* prog_lit 24 , 17 */
  if ((ch_returncode = che_prog_lit(DEF(24),QUAL(17),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 25 24 , 18 */
  if ((ch_returncode = che_procedure(DEF(25),DEF(24),QUAL(18)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 24 */
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  REF(24).tsdr = & dr_bottom;
/* move 3.3.3.8 25 */
  (*(REF(3)DOT(3)DOT(3)DOT(8).tsdr)->finalize)(REF(3)DOT(3)DOT(3)DOT(8).value
    ,F_DISCARD,sched);
  REF(3)DOT(3)DOT(3)DOT(8) = REF(25);
  REF(25).tsdr = & dr_bottom;
/* prog_lit 26 , 19 */
  if ((ch_returncode = che_prog_lit(DEF(26),QUAL(19),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 27 26 , 20 */
  if ((ch_returncode = che_procedure(DEF(27),DEF(26),QUAL(20)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 26 */
  (*(REF(26).tsdr)->finalize)(REF(26).value,F_DISCARD,sched);
  REF(26).tsdr = & dr_bottom;
/* move 3.3.3.9 27 */
  (*(REF(3)DOT(3)DOT(3)DOT(9).tsdr)->finalize)(REF(3)DOT(3)DOT(3)DOT(9).value
    ,F_DISCARD,sched);
  REF(3)DOT(3)DOT(3)DOT(9) = REF(27);
  REF(27).tsdr = & dr_bottom;
/* prog_lit 28 , 21 */
  if ((ch_returncode = che_prog_lit(DEF(28),QUAL(21),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 29 28 , 22 */
  if ((ch_returncode = che_procedure(DEF(29),DEF(28),QUAL(22)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 28 */
  (*(REF(28).tsdr)->finalize)(REF(28).value,F_DISCARD,sched);
  REF(28).tsdr = & dr_bottom;
/* move 3.3.3.10 29 */
  (*(REF(3)DOT(3)DOT(3)DOT(10).tsdr)->finalize)(
    REF(3)DOT(3)DOT(3)DOT(10).value,F_DISCARD,sched);
  REF(3)DOT(3)DOT(3)DOT(10) = REF(29);
  REF(29).tsdr = & dr_bottom;
/* prog_lit 30 , 23 */
  if ((ch_returncode = che_prog_lit(DEF(30),QUAL(23),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 31 30 , 24 */
  if ((ch_returncode = che_procedure(DEF(31),DEF(30),QUAL(24)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 30 */
  (*(REF(30).tsdr)->finalize)(REF(30).value,F_DISCARD,sched);
  REF(30).tsdr = & dr_bottom;
/* move 3.3.3.11 31 */
  (*(REF(3)DOT(3)DOT(3)DOT(11).tsdr)->finalize)(
    REF(3)DOT(3)DOT(3)DOT(11).value,F_DISCARD,sched);
  REF(3)DOT(3)DOT(3)DOT(11) = REF(31);
  REF(31).tsdr = & dr_bottom;
/* prog_lit 32 , 25 */
  if ((ch_returncode = che_prog_lit(DEF(32),QUAL(25),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 33 32 , 26 */
  if ((ch_returncode = che_procedure(DEF(33),DEF(32),QUAL(26)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 32 */
  (*(REF(32).tsdr)->finalize)(REF(32).value,F_DISCARD,sched);
  REF(32).tsdr = & dr_bottom;
/* move 3.3.3.12 33 */
  (*(REF(3)DOT(3)DOT(3)DOT(12).tsdr)->finalize)(
    REF(3)DOT(3)DOT(3)DOT(12).value,F_DISCARD,sched);
  REF(3)DOT(3)DOT(3)DOT(12) = REF(33);
  REF(33).tsdr = & dr_bottom;
/* prog_lit 34 , 27 */
  if ((ch_returncode = che_prog_lit(DEF(34),QUAL(27),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 35 34 , 28 */
  if ((ch_returncode = che_procedure(DEF(35),DEF(34),QUAL(28)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 34 */
  (*(REF(34).tsdr)->finalize)(REF(34).value,F_DISCARD,sched);
  REF(34).tsdr = & dr_bottom;
/* move 3.3.3.13 35 */
  (*(REF(3)DOT(3)DOT(3)DOT(13).tsdr)->finalize)(
    REF(3)DOT(3)DOT(3)DOT(13).value,F_DISCARD,sched);
  REF(3)DOT(3)DOT(3)DOT(13) = REF(35);
  REF(35).tsdr = & dr_bottom;
/* prog_lit 36 , 29 */
  if ((ch_returncode = che_prog_lit(DEF(36),QUAL(29),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 37 36 , 30 */
  if ((ch_returncode = che_procedure(DEF(37),DEF(36),QUAL(30)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 36 */
  (*(REF(36).tsdr)->finalize)(REF(36).value,F_DISCARD,sched);
  REF(36).tsdr = & dr_bottom;
/* move 3.3.3.14 37 */
  (*(REF(3)DOT(3)DOT(3)DOT(14).tsdr)->finalize)(
    REF(3)DOT(3)DOT(3)DOT(14).value,F_DISCARD,sched);
  REF(3)DOT(3)DOT(3)DOT(14) = REF(37);
  REF(37).tsdr = & dr_bottom;
/* prog_lit 38 , 31 */
  if ((ch_returncode = che_prog_lit(DEF(38),QUAL(31),sched)) != Normal) 
     goto ch_raise_exception;
/* create 39 38 , 32 */
  if ((ch_returncode = che_create(DEF(39),DEF(38),QUAL(32),sched)) != Normal)
     goto ch_raise_exception;
/* discard 38 */
  (*(REF(38).tsdr)->finalize)(REF(38).value,F_DISCARD,sched);
  REF(38).tsdr = & dr_bottom;
  current->ip = 11;
cb74:
/* call 39 3.3.0 3.3.3.16 40 , 33 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(39),
          arguments[1] = DEF(3)DOT(3)DOT(0),
          arguments[2] = DEF(3)DOT(3)DOT(3)DOT(16),
          arguments[3] = DEF(40),
          arguments[3+1] = nil,& arguments[0]),QUAL(33),sched)) != Normal)
     goto ch_raise_exception;
  return;
c75:
/* noop */
  
/* prog_lit 41 , 34 */
  if ((ch_returncode = che_prog_lit(DEF(41),QUAL(34),sched)) != Normal) 
     goto ch_raise_exception;
/* create 42 41 , 35 */
  if ((ch_returncode = che_create(DEF(42),DEF(41),QUAL(35),sched)) != Normal)
     goto ch_raise_exception;
/* discard 41 */
  (*(REF(41).tsdr)->finalize)(REF(41).value,F_DISCARD,sched);
  REF(41).tsdr = & dr_bottom;
  current->ip = 13;
cb79:
/* call 42 3.3.0 3.3.3.16 3.3.3.15 43 , 36 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(42),
          arguments[1] = DEF(3)DOT(3)DOT(0),
          arguments[2] = DEF(3)DOT(3)DOT(3)DOT(16),
          arguments[3] = DEF(3)DOT(3)DOT(3)DOT(15),
          arguments[4] = DEF(43),
          arguments[4+1] = nil,& arguments[0]),QUAL(36),sched)) != Normal)
     goto ch_raise_exception;
  return;
c80:
/* noop */
  
/* new_record 3.3.5 , 6 */
  if ((ch_val.record = new_record(6)) == nil) goto ch_depletion;
  (*(REF(3)DOT(3)DOT(5).tsdr)->finalize)(REF(3)DOT(3)DOT(5).value
    ,F_DISCARD,sched);
  REF(3)DOT(3)DOT(5).value = ch_val; REF(3)DOT(3)DOT(5).tsdr = & dr_record;
/* new_record 44 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(44).tsdr)->finalize)(REF(44).value,F_DISCARD,sched);
  REF(44).value = ch_val; REF(44).tsdr = & dr_record;
/* enum_lit 44.0 , 6 */
  REF(44)DOT(0).value.enumeration = 6;
  REF(44)DOT(0).tsdr = & dr_enumeration;
/* new_table 44.1 , 37 */
  if ((ch_returncode = che_new_table(DEF(44)DOT(1),QUAL(37)
    ,sched)) != Normal)  goto ch_raise_exception;
/* boolean 45 , FALSE */
  REF(45).value.boolean = FALSE;
  REF(45).tsdr = & dr_boolean;
/* unite 44.2 45 , 1 */
  if ((ch_returncode = che_unite(DEF(44)DOT(2),DEF(45),sched,1)) != Normal)
     goto ch_raise_exception;
/* move 3.3.5.0 44 */
  (*(REF(3)DOT(3)DOT(5)DOT(0).tsdr)->finalize)(REF(3)DOT(3)DOT(5)DOT(0).value
    ,F_DISCARD,sched);
  REF(3)DOT(3)DOT(5)DOT(0) = REF(44);
  REF(44).tsdr = & dr_bottom;
/* new_record 46 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(46).tsdr)->finalize)(REF(46).value,F_DISCARD,sched);
  REF(46).value = ch_val; REF(46).tsdr = & dr_record;
/* enum_lit 46.0 , 6 */
  REF(46)DOT(0).value.enumeration = 6;
  REF(46)DOT(0).tsdr = & dr_enumeration;
/* new_table 46.1 , 37 */
  if ((ch_returncode = che_new_table(DEF(46)DOT(1),QUAL(37)
    ,sched)) != Normal)  goto ch_raise_exception;
/* boolean 47 , TRUE */
  REF(47).value.boolean = TRUE;
  REF(47).tsdr = & dr_boolean;
/* unite 46.2 47 , 1 */
  if ((ch_returncode = che_unite(DEF(46)DOT(2),DEF(47),sched,1)) != Normal)
     goto ch_raise_exception;
/* move 3.3.5.1 46 */
  (*(REF(3)DOT(3)DOT(5)DOT(1).tsdr)->finalize)(REF(3)DOT(3)DOT(5)DOT(1).value
    ,F_DISCARD,sched);
  REF(3)DOT(3)DOT(5)DOT(1) = REF(46);
  REF(46).tsdr = & dr_bottom;
/* new_record 48 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(48).tsdr)->finalize)(REF(48).value,F_DISCARD,sched);
  REF(48).value = ch_val; REF(48).tsdr = & dr_record;
/* enum_lit 48.0 , 114 */
  REF(48)DOT(0).value.enumeration = 114;
  REF(48)DOT(0).tsdr = & dr_enumeration;
/* new_table 48.1 , 37 */
  if ((ch_returncode = che_new_table(DEF(48)DOT(1),QUAL(37)
    ,sched)) != Normal)  goto ch_raise_exception;
/* unite 48.2 49 , 0 */
  if ((ch_returncode = che_unite(DEF(48)DOT(2),DEF(49),sched,0)) != Normal)
     goto ch_raise_exception;
/* move 3.3.5.2 48 */
  (*(REF(3)DOT(3)DOT(5)DOT(2).tsdr)->finalize)(REF(3)DOT(3)DOT(5)DOT(2).value
    ,F_DISCARD,sched);
  REF(3)DOT(3)DOT(5)DOT(2) = REF(48);
  REF(48).tsdr = & dr_bottom;
/* new_record 50 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(50).tsdr)->finalize)(REF(50).value,F_DISCARD,sched);
  REF(50).value = ch_val; REF(50).tsdr = & dr_record;
/* enum_lit 50.0 , 105 */
  REF(50)DOT(0).value.enumeration = 105;
  REF(50)DOT(0).tsdr = & dr_enumeration;
/* new_table 50.1 , 37 */
  if ((ch_returncode = che_new_table(DEF(50)DOT(1),QUAL(37)
    ,sched)) != Normal)  goto ch_raise_exception;
/* unite 50.2 49 , 0 */
  if ((ch_returncode = che_unite(DEF(50)DOT(2),DEF(49),sched,0)) != Normal)
     goto ch_raise_exception;
/* move 3.3.5.3 50 */
  (*(REF(3)DOT(3)DOT(5)DOT(3).tsdr)->finalize)(REF(3)DOT(3)DOT(5)DOT(3).value
    ,F_DISCARD,sched);
  REF(3)DOT(3)DOT(5)DOT(3) = REF(50);
  REF(50).tsdr = & dr_bottom;
/* new_record 51 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(51).tsdr)->finalize)(REF(51).value,F_DISCARD,sched);
  REF(51).value = ch_val; REF(51).tsdr = & dr_record;
/* enum_lit 51.0 , 95 */
  REF(51)DOT(0).value.enumeration = 95;
  REF(51)DOT(0).tsdr = & dr_enumeration;
/* new_table 51.1 , 37 */
  if ((ch_returncode = che_new_table(DEF(51)DOT(1),QUAL(37)
    ,sched)) != Normal)  goto ch_raise_exception;
/* unite 51.2 49 , 0 */
  if ((ch_returncode = che_unite(DEF(51)DOT(2),DEF(49),sched,0)) != Normal)
     goto ch_raise_exception;
/* move 3.3.5.4 51 */
  (*(REF(3)DOT(3)DOT(5)DOT(4).tsdr)->finalize)(REF(3)DOT(3)DOT(5)DOT(4).value
    ,F_DISCARD,sched);
  REF(3)DOT(3)DOT(5)DOT(4) = REF(51);
  REF(51).tsdr = & dr_bottom;
/* new_record 52 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(52).tsdr)->finalize)(REF(52).value,F_DISCARD,sched);
  REF(52).value = ch_val; REF(52).tsdr = & dr_record;
/* enum_lit 52.0 , 2 */
  REF(52)DOT(0).value.enumeration = 2;
  REF(52)DOT(0).tsdr = & dr_enumeration;
/* new_table 52.1 , 37 */
  if ((ch_returncode = che_new_table(DEF(52)DOT(1),QUAL(37)
    ,sched)) != Normal)  goto ch_raise_exception;
/* unite 52.2 49 , 0 */
  if ((ch_returncode = che_unite(DEF(52)DOT(2),DEF(49),sched,0)) != Normal)
     goto ch_raise_exception;
/* move 3.3.5.5 52 */
  (*(REF(3)DOT(3)DOT(5)DOT(5).tsdr)->finalize)(REF(3)DOT(3)DOT(5)DOT(5).value
    ,F_DISCARD,sched);
  REF(3)DOT(3)DOT(5)DOT(5) = REF(52);
  REF(52).tsdr = & dr_bottom;
/* new_record 3.3.6 , 1 */
  if ((ch_val.record = new_record(1)) == nil) goto ch_depletion;
  (*(REF(3)DOT(3)DOT(6).tsdr)->finalize)(REF(3)DOT(3)DOT(6).value
    ,F_DISCARD,sched);
  REF(3)DOT(3)DOT(6).value = ch_val; REF(3)DOT(3)DOT(6).tsdr = & dr_record;
/* new_table 3.3.6.0 , 38 */
  if ((ch_returncode = che_new_table(DEF(3)DOT(3)DOT(6)DOT(0),QUAL(38)
    ,sched)) != Normal)  goto ch_raise_exception;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
  current->ip = 15;
cb129:
/* select 4 * , 39 */
  if ((ch_returncode = che_select((
          arguments[0] = DEF(4),
          arguments[1] = NO_OBJECT,
          arguments[1+1] = nil,& arguments[0]),QUAL(39),sched)) != Normal)
     goto ch_raise_exception;
  if (current->ip == 15) return; else COMPUTE_TARGET;
c131:
/* send 15 49 */
  if ((ch_returncode = che_send(DEF(15),DEF(49),sched)) != Normal)
     goto ch_raise_exception;
/* send 18 49 */
  if ((ch_returncode = che_send(DEF(18),DEF(49),sched)) != Normal)
     goto ch_raise_exception;
/* send 21 49 */
  if ((ch_returncode = che_send(DEF(21),DEF(49),sched)) != Normal)
     goto ch_raise_exception;
/* send 40 49 */
  if ((ch_returncode = che_send(DEF(40),DEF(49),sched)) != Normal)
     goto ch_raise_exception;
/* send 43 49 */
  if ((ch_returncode = che_send(DEF(43),DEF(49),sched)) != Normal)
     goto ch_raise_exception;
/* branch , 138 */
   goto c138;
c130:
c137:
/* exit , 40 */
  ch_e = handler_type__exit; ch_val = QUAL(40); goto ch_exception;
c138:
/* endblock */
  che_endblock(sched);
/* branch , 143 */
   goto c143;
c140:
/* chs_lit 53 , "CantHappen exit taken in cginit" */
  if( !chs_lit(DEF(53),"CantHappen exit taken in cginit") ) goto ch_depletion;
/* print 53 */
  re_print(stderr, 0, DEF(53)); fflush(stderr);
/* discard 53 */
  (*(REF(53).tsdr)->finalize)(REF(53).value,F_DISCARD,sched);
  REF(53).tsdr = & dr_bottom;
c143:
/* endblock */
  che_endblock(sched);
c145:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
